/* $Id: approximate.h 140 2004-11-20 21:51:31Z ian $
 * Copyright (c) 2002 Ian Glover
 *
 * This file is part of wmfuzzy and is distributed under the GNU
 * GPL. See file COPYING for details.
 */
#ifndef H_APPROXIMATE
#define H_APPROXIMATE
struct tm;

enum Conjunctive{
  TO,
  PAST
};

enum Granularity{
  FIVE = 5,
  TEN  = 10,
  FIFTEEN = 15,
  TWENTY = 20,
  HALFHOUR = 30,
  HOUR = 60,
  SIXHOURS = 360,
  TWELVEHOURS = 720,
  DAY = 1440,
  WEEKTHIRD = 3360,
  MONTHTHIRD = 14400, /* 1440 min * 10 days */
  MONTH = 43200, /* 1440 min * 30 days */
  SEASON = 129600, /* 1440 min * 30 days * 3 months */
  YEAR = 525600, /* 1440 min * 365 days */
  CENTURY = 52560000 /* 1440 min * 365 days * 100 year */
};

struct ApproximateTime{
  int              hour;
  enum Conjunctive join;
  int              minutes;
  int              weekday;
  int              monththird;
  int              month;
  int              year;
} ;

struct ApproximateTime approximate(const struct tm* tm,
                                   const enum Granularity gr);
  

#endif

