/* $Id: logging.c 96 2004-03-16 21:55:16Z ian $
 * Copyright (c) 2003 Ian Glover
 *
 * This file is part of wmfuzzy and is distributed under the GNU
 * GPL. See file COPYING for details.
 */
#include "logging.h"
#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>

void fatal(const char* msg, ...)
{
  va_list ap;
  
  fprintf(stderr, "Fatal error : ");
  
  va_start(ap, msg);
  (void)vfprintf(stderr, msg, ap);
  va_end(ap);
  
  fprintf(stderr, "\n");
  exit(EXIT_FAILURE);
}

void warning(const char* msg, ...)
{
  va_list ap;
  
  fprintf(stderr, "Warning : ");
  
  va_start(ap, msg);
  (void)vfprintf(stderr, msg, ap);
  va_end(ap);

  fprintf(stderr, "\n");
}
