#ifndef MSGS_H
#define MSGS_H
#include <stdio.h>
/* $Id: msg_en_GB.h 133 2004-11-20 21:14:28Z ian $ 
 * Copyright (c) 2004 Ian Glover
 *
 * This file is part of wmfuzzy and is distributed under the GNU
 * GPL. See file COPYING for details.
 *
 * String definition for English version
 */

static const char* season_names[] =
{
  "winter",
  "spring",
  "summer",
  "autumn"
};

static const char* month_names[] =
{
  "january",
  "february",
  "march",
  "april",
  "may",
  "june",
  "july",
  "august",
  "sept.",
  "october",
  "november",
  "december"
};

static const char* weekday_names[] =
{
  "sunday",
  "monday",
  "tuesday",
  "wed.",
  "thursday",
  "friday",
  "saturday"
};

static const char* number_names[] =
{
  "zero",
  "one",
  "two",
  "three",
  "four",
  "five",
  "six",
  "seven",
  "eight",
  "nine",
  "ten",
  "eleven",
  "twelve",
  "thirteen",
  "fourteen",
  "fifteen",
  "sixteen",
  "seventeen",
  "eighteen",
  "nineteen"
};

/* Duplication of five and ten with number_to_text. Should we
 * combine? how? */
static const char* minute_names[] =
{
  "five",
  "ten",
  "quarter",
  "twenty",
  "twenty five",
  "half"
};  

static const char* third_names[] =
{
  "start of",
  "middle of",
  "end of"
};

static const char* week_thirds[] =
{
  "start of week",
  "middle of week",
  "end of week"
};

static const char* quarter_day_periods[] =
{
  "night",
  "morning",
  "afternoon",
  "evening"
};

static const char* half_day_periods[] =
{
  "day",
  "night"
};

static const char* suffix_table[] = { "st", "nd", "rd", "th" };

static const char* text_join_before = "to";
static const char* text_join_after = "past";

static const char* text_oclock = "o'clock";

static const char* text_century = "century";

static int fmt_before_half_hour(char* text, int len,
                                const char* hour_text, const char* minute_text,
                                const char* join)
{
  return snprintf(text, len, "%s %s %s", minute_text, join, hour_text);
}

static int fmt_after_half_hour(char* text, int len,
                               const char* hour_text, const char* minute_text,
                               const char* join)
{
  return snprintf(text, len, "%s %s %s", minute_text, join, hour_text);
}

#endif
