#ifndef MSGS_H
#define MSGS_H
#include <stdio.h>
/* $Id: msg_it.h 133 2004-11-20 21:14:28Z ian $ 
 * Copyright (c) 2004 Ian Glover
 *
 * This file is part of wmfuzzy and is distributed under the GNU
 * GPL. See file COPYING for details.
 *
 * String definition for English version
 */

static const char* season_names[] =
{
  "inverno",
  "primavera",
  "estate",
  "autunno"
};

static const char* month_names[] =
{
  "gennaio",
  "febbraio",
  "marzo",
  "aprile",
  "maggio",
  "giugno",
  "luglio",
  "agosto",
  "settembre",
  "ottobre",
  "novembre",
  "dicembre"
};

static const char* weekday_names[] =
{
  "domenica",
  "luned",
  "marted",
  "mercoled",
  "gioved",
  "venerd",
  "sabato"
};

static const char* number_names[] =
{
  "mezza notte", "una", "due", "tre", "quattro",
  "cinque", "sei", "sette", "otto", "nove",
  "dieci", "undici", "mezzo giorno", "una", "due",
  "tre", "quattro", "cinque", "sei", "sette"
};

/* Duplication of five and ten with number_to_text. Should we
 * combine? how? */
static const char* minute_names[] =
{
  "cinque",
  "dieci",
  "unQuarto", /* No space to avoid automatic wrapping (no space for 4 lines of text) */
  "venti",
  "venti", /* In Italy most don't use "25" ("venticinque"). You can arbitrarily round to "venti" or "mezza". */
  "mezza"
};  

static const char* third_names[] =
{
  "inizio",
  "met",
  "fine"
};

static const char* week_thirds[] =
{
  "inizio sett.",
  "met sett.",
  "fine sett."
};

static const char* quarter_day_periods[] =
{
  "notte",
  "mattina",
  "pomeriggio",
  "sera"
};

static const char* half_day_periods[] =
{
  "giorno",
  "notte"
};

static const char* suffix_table[] = { "", "", "", "" };

static const char* text_join_before = "meno";
static const char* text_join_after = "e";

static const char* text_oclock = "in punto";
static const char* text_century = "secolo";

static int fmt_before_half_hour(char* text, int len,
                                const char* hour_text, const char* minute_text,
                                const char* join)
{
  return snprintf(text, len, "%s %s %s", hour_text, join, minute_text);
}

static int fmt_after_half_hour(char* text, int len,
                               const char* hour_text, const char* minute_text,
                               const char* join)
{
  return snprintf(text, len, "%s %s %s", minute_text, join, hour_text);
}

#endif
