#ifndef XDISPLAY_H_
#define XDISPLAY_H_
/*
 * $Id: xdisplay.h 135 2004-11-20 21:21:32Z ian $
 * Copyright (c) 2003-2004 Ian Glover
 *
 * This file is part of wmfuzzy and is distributed under the GNU
 * GPL. See file COPYING for details.
 *
 * X dock app low-level code. Should generally be accessed via the
 * functions in display.h.
 */
#include <ctype.h>

/* Set up code. Must be called prior to x_main_loop. */
void display_initialise(int argc, char* argv[]);

/* Main running loop. */
void display_main_loop(void);

/* Tidy up any resources we've grabbed prior to exiting. Should be
 * called when x_main_loop terminates. */
void display_free_resources(void);

/* Set the application name of the window manager. */
void display_set_app_name(const char* name);

/* Set the intervale between calls to the update function. */
void display_set_update_delay(int seconds);

/* Set the foreground colour */
void display_set_foreground(const char* colour);

/* Set the background colour */
void display_set_background(const char* colour);

/* Set the text to show */
void display_set_text(const char* text, size_t text_length);

#endif
